Debian Bug report logs - #400494
LIRC kernel modules do not compile with kernel 2.6.19

version graph

Package: lirc-modules-source; Maintainer for lirc-modules-source is lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>;

Reported by: Eric Cooper <ecc@cmu.edu>

Date: Sun, 26 Nov 2006 17:03:01 UTC

Severity: grave

Tags: confirmed, fixed-upstream, lenny, patch, sid

Merged with 399135

Found in version lirc/0.8.0-9

Fixed in version lirc/0.8.2-2

Done: Stefan Lippers-Hollmann <s.l-h@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>:
Bug#400494; Package lirc-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Eric Cooper <ecc@cmu.edu>:
New Bug report received and forwarded. Copy sent to lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Cooper <ecc@cmu.edu>
To: submit@bugs.debian.org
Subject: LIRC kernel modules do not compile with kernel 2.6.19
Date: Sun, 26 Nov 2006 11:34:35 -0500
[Message part 1 (text/plain, inline)]
Package: lirc-modules-source
Version: 0.8.0-9
Tags: patch

Linux kernels > 2.6.18 have removed the <linux/config.h> include file
and replaced it with <linux/autoconf.h>, so the LIRC kernel modules no
longer compile.

I've attached a patch (but I've tested it only for the atiusb module,
which is the only device I use).

Also, this patch is against the modules/ tree contained in the
/usr/src/lirc-modules.tar.gz tarball, not against the lirc-modules-source
package itself.

-- 
Eric Cooper             e c c @ c m u . e d u
[lirc-config.patch (text/plain, attachment)]

Severity set to `important' from `normal' Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 399135 400494. Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>:
Bug#400494; Package lirc-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #14 received at 400494@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Eric Cooper <ecc@cmu.edu>, 400494@bugs.debian.org
Subject: Re: [Pkg-lirc-maint] Bug#400494: LIRC kernel modules do not compile with kernel 2.6.19
Date: Tue, 28 Nov 2006 12:18:26 +0000
[Message part 1 (text/plain, inline)]
This one time, at band camp, Eric Cooper said:
> Linux kernels > 2.6.18 have removed the <linux/config.h> include file
> and replaced it with <linux/autoconf.h>, so the LIRC kernel modules no
> longer compile.
> 
> I've attached a patch (but I've tested it only for the atiusb module,
> which is the only device I use).
> 
> Also, this patch is against the modules/ tree contained in the
> /usr/src/lirc-modules.tar.gz tarball, not against the lirc-modules-source
> package itself.

Thanks.  That looks quite reasonable to me.  The modules packaging still
needs a bit of clean up, it looks like, so it may be a little while
before upload.

Thanks again,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `important' Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 399135 400494. Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Eric Cooper <ecc@cmu.edu>:
Bug#400494. Full text and rfc822 format available.

Message #21 received at 400494-submitter@bugs.debian.org (full text, mbox):

From: Amaya <amaya@debian.org>
To: Debian Bug Tracking System <control@bugs.debian.org>
Cc: 400494-submitter@bugs.debian.org
Subject: Re: Bug#400494: LIRC kernel modules do not compile with kernel 2.6.19
Date: Tue, 28 Nov 2006 07:18:32 +0100
severity 400494 important
merge 399135 400494
thanks

Hi, Eric!

Eric Cooper wrote:
> I've attached a patch (but I've tested it only for the atiusb module,
> which is the only device I use).

Many many thanks, we'll try it out and see if we can make it work.

Happy hacking! Keep the patches coming! ;)

-- 
  ·''`.             If I can't dance to it, it's not my revolution
 : :' :                                            -- Emma Goldman
 `. `'           Proudly running Debian GNU/Linux (unstable)
   `-     www.amayita.com  www.malapecora.com  www.chicasduras.com



Tags added: fixed-upstream Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Amaya <amaya@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>:
Bug#400494; Package lirc-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Timo Aaltonen <tjaalton@cc.hut.fi>:
Extra info received and forwarded to list. Copy sent to lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 400494@bugs.debian.org (full text, mbox):

From: Timo Aaltonen <tjaalton@cc.hut.fi>
To: 400494@bugs.debian.org
Subject: Re: [Pkg-lirc-maint] Bug#400494: LIRC kernel modules do not compile with kernel 2.6.19
Date: Tue, 23 Jan 2007 01:07:27 +0200 (EET)
	Hi

  What is the status of this one? I've built lirc_imon and lirc_serial 
successfully with 2.6.20-rc.

t



Information forwarded to debian-bugs-dist@lists.debian.org, lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>:
Bug#400494; Package lirc-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Gavin Kinsey <gavin.kinsey@gmail.com>:
Extra info received and forwarded to list. Copy sent to lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 400494@bugs.debian.org (full text, mbox):

From: Gavin Kinsey <gavin.kinsey@gmail.com>
To: 400494@bugs.debian.org
Subject: Re: Bug#400494: LIRC kernel modules do not compile with kernel 2.6.19
Date: Mon, 7 May 2007 23:16:08 +0100
I've just compiled lirc-modules for my streamzap against kernel 
2.6.20.11 and found that in addition to the patch above all instances 
of the symbol SLAB_ATOMIC need to be replaced with GFP_ATOMIC.

I believe several of the usb based modules need this change.



Information forwarded to debian-bugs-dist@lists.debian.org, lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>:
Bug#400494; Package lirc-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Jason Lewis <jason@dickson.st>:
Extra info received and forwarded to list. Copy sent to lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 400494@bugs.debian.org (full text, mbox):

From: Jason Lewis <jason@dickson.st>
To: 400494@bugs.debian.org
Subject: further issues compiling
Date: Mon, 16 Jul 2007 15:24:00 +1000
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

I have been trying to compile the lirc-modules-source but it fails to
compile on my system.

I have been trying to compile it with kernel 2.6.22rc7 source. I have
successfully compiled and installed the kernel from this source. Kernel
source is from a debian package, not vanilla kernel package.

Thanks,

Jason

Compile error below:

- ---- snip ----


  gcc -m32 -Wp,-MD,/usr/src/modules/lirc/drivers/lirc_dev/.lirc_dev.o.d
 -nostdinc -isystem /usr/lib/gcc/i486-linux-gnu/4.1.2/include
- -D__KERNEL__ -Iincl
ude  -include include/linux/autoconf.h -Wall -Wundef -Wstrict-prototypes
- -Wno-trigraphs -fno-strict-aliasing -fno-common -Os -pipe -msoft-float
- -mregparm
=3 -freg-struct-return -mpreferred-stack-boundary=2  -march=athlon
- -ffreestanding -maccumulate-outgoing-args -DCONFIG_AS_CFI=1
- -DCONFIG_AS_CFI_SIGNAL_FRA
ME=1 -Iinclude/asm-i386/mach-default -fomit-frame-pointer
- -fno-stack-protector -Wdeclaration-after-statement -Wno-pointer-sign
- -DIRCTL_DEV_MAJOR=61 -DEX
PORT_SYMTAB -DHAVE_CONFIG_H -I. -I. -I../..
- -I/usr/src/modules/lirc/drivers/lirc_dev/../..
- -I/usr/src/linux-source-2.6.22-rc7/include/  -DMODULE -D"KBUIL
D_STR(s)=#s" -D"KBUILD_BASENAME=KBUILD_STR(lirc_dev)"
- -D"KBUILD_MODNAME=KBUILD_STR(lirc_dev)" -c -o
/usr/src/modules/lirc/drivers/lirc_dev/.tmp_lirc_dev
.o /usr/src/modules/lirc/drivers/lirc_dev/lirc_dev.c
/usr/src/modules/lirc/drivers/lirc_dev/lirc_dev.c:35:26: error:
./linux/config.h: Too many levels of symbolic links
make[8]: *** [/usr/src/modules/lirc/drivers/lirc_dev/lirc_dev.o] Error 1
make[7]: *** [_module_/usr/src/modules/lirc/drivers/lirc_dev] Error 2
make[7]: Leaving directory `/usr/src/linux-source-2.6.22-rc7'
make[6]: *** [lirc_dev.o] Error 2
make[6]: Leaving directory `/usr/src/modules/lirc/drivers/lirc_dev'
make[5]: *** [all] Error 2
make[5]: Leaving directory `/usr/src/modules/lirc/drivers/lirc_dev'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/usr/src/modules/lirc/drivers'
make[3]: *** [dev] Error 2
make[3]: Leaving directory `/usr/src/modules/lirc'
make[2]: *** [build-stamp] Error 2
make[2]: Leaving directory `/usr/src/modules/lirc'
make[1]: *** [kdist_image] Error 2
make[1]: Leaving directory `/usr/src/modules/lirc'
Module /usr/src/modules/lirc failed.
Hit return to Continue

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (MingW32)

iD8DBQFGmwDwIpHcZ8XGB/4RAjY8AJ9u5/vsNxfGaTjwdpuGbR2fll44JACgxeDj
W6ILk8jNGanWnLPsRFwabts=
=4Z8W
-----END PGP SIGNATURE-----



Severity set to `grave' from `important' Request was from Jason Lewis <jason@dickson.st> to control@bugs.debian.org. (Mon, 16 Jul 2007 05:33:03 GMT) Full text and rfc822 format available.

Tags added: lenny, sid Request was from kurt@roeckx.be (Kurt Roeckx) to control@bugs.debian.org. (Thu, 19 Jul 2007 22:03:08 GMT) Full text and rfc822 format available.

Forcibly Merged 399135 400494 436166. Request was from Filipus Klutiero <cheal@hotpop.com> to control@bugs.debian.org. (Wed, 29 Aug 2007 04:54:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>:
Bug#400494; Package lirc-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Florent Rougon <f.rougon@free.fr>:
Extra info received and forwarded to list. Copy sent to lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #51 received at 400494@bugs.debian.org (full text, mbox):

From: Florent Rougon <f.rougon@free.fr>
To: 400494@bugs.debian.org
Cc: Loic Minier <lool@dooz.org>
Subject: lirc: Fix for the build failure caused by the inclusion of linux/config.h is incomplete
Date: Sat, 01 Sep 2007 12:54:44 +0200
Hi,

Loïc's upload of lirc 0.8.0-10 commented out the inclusion of
<linux/config.h> in drivers/lirc_dev/lirc_dev.c, but that was not enough
for me.

lirc-modules-source still failed to build because
drivers/lirc_serial/lirc_serial.c also wants to include that file.
Commenting out the relevant line in lirc_serial.c solved the problem.
The build now succeeds and the resulting module package works fine.

This is on etch with Linux 2.6.21 from bpo and lirc 0.8.0-12 backported
from unstable.

HTH,

-- 
Florent



Information forwarded to debian-bugs-dist@lists.debian.org, lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>:
Bug#400494; Package lirc-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Loïc Minier <lool@dooz.org>:
Extra info received and forwarded to list. Copy sent to lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #56 received at 400494@bugs.debian.org (full text, mbox):

From: Loïc Minier <lool@dooz.org>
To: Florent Rougon <f.rougon@free.fr>
Cc: 400494@bugs.debian.org
Subject: Re: lirc: Fix for the build failure caused by the inclusion of linux/config.h is incomplete
Date: Sat, 1 Sep 2007 21:57:33 +0200
        Hi,

On Sat, Sep 01, 2007, Florent Rougon wrote:
> Loïc's upload of lirc 0.8.0-10 commented out the inclusion of
> <linux/config.h> in drivers/lirc_dev/lirc_dev.c, but that was not enough
> for me.
> 
> lirc-modules-source still failed to build because
> drivers/lirc_serial/lirc_serial.c also wants to include that file.

 Thanks; I did the following change in SVN r219:
  * Update 14_no_linux_config_h patch to also drop <linux/config.h> include
    from lirc_atiusb/lirc_atiusb.c, lirc_bt829/lirc_bt829.c,
    lirc_cmdir/lirc_cmdir.c, lirc_igorplugusb/lirc_igorplugusb.c,
    lirc_imon/lirc_imon.c, lirc_it87/lirc_it87.c, lirc_mceusb/lirc_mceusb.c,
    lirc_mceusb2/lirc_mceusb2.c, lirc_parallel/lirc_parallel.c,
    lirc_sasem/lirc_sasem.c, lirc_serial/lirc_serial.c, lirc_sir/lirc_sir.c,
    lirc_streamzap/lirc_streamzap.c; thanks Florent Rougon; see #400494 and
    #436166.

 I'm not uploading this right now, but this will be part of next upload.

    Bye;
-- 
Loïc Minier



Information forwarded to debian-bugs-dist@lists.debian.org, lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>:
Bug#400494; Package lirc-modules-source. Full text and rfc822 format available.

Acknowledgement sent to Sven Mueller <debian@incase.de>:
Extra info received and forwarded to list. Copy sent to lirc Maintainer Team <pkg-lirc-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #61 received at 400494@bugs.debian.org (full text, mbox):

From: Sven Mueller <debian@incase.de>
To: 400494@bugs.debian.org
Subject: SLAB_ATOMIC not defined any longer in 2.6.21 and up at least
Date: Fri, 14 Sep 2007 14:31:54 +0200
[Message part 1 (text/plain, inline)]
Hi.

Attached you find a patch which rectifies this and enabled 0.80 to build
against newest kernels. At least the igorplugusb driver works fine
against 2.6.22 (both Debian and homebrew 2.6.22.6) kernels. I have no
means to test the others right now.

Still, and update to 0.82 would be nice.

Regards,
Sven
[no_SLAB_ATOMIC.patch (text/x-patch, inline)]
Index: debian/patches/15_no_SLAB_ATOMIC.dpatch
===================================================================
--- debian/patches/15_no_SLAB_ATOMIC.dpatch	(revision 0)
+++ debian/patches/15_no_SLAB_ATOMIC.dpatch	(revision 0)
@@ -0,0 +1,149 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 15_no_SLAB_ATOMIC.dpatch by <sven@debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: 2.6.22 doesn't defined SLAB_ATOMIC anymore. Replace it with 
+## DP: what previous kernels defined it to be (at least since 2.6.18)
+
+@DPATCH@
+diff -urNad trunk~/drivers/lirc_atiusb/lirc_atiusb.c trunk/drivers/lirc_atiusb/lirc_atiusb.c
+--- trunk~/drivers/lirc_atiusb/lirc_atiusb.c	2007-09-14 14:19:33.206292741 +0200
++++ trunk/drivers/lirc_atiusb/lirc_atiusb.c	2007-09-14 14:20:20.354048335 +0200
+@@ -249,7 +249,7 @@
+ 	add_wait_queue(&oep->wait, &wait);
+ 
+ #ifdef KERNEL_2_5
+-	if (usb_submit_urb(oep->urb, SLAB_ATOMIC)) {
++	if (usb_submit_urb(oep->urb, GFP_ATOMIC)) {
+ #else
+ 	if (usb_submit_urb(oep->urb)) {
+ #endif
+@@ -321,7 +321,7 @@
+ 			iep->urb->dev = ir->usbdev;
+ 			dprintk(DRIVER_NAME "[%d]: linking iep 0x%02x (%p)\n", ir->devnum, iep->ep->bEndpointAddress, iep);
+ #ifdef KERNEL_2_5
+-			if ((rtn = usb_submit_urb(iep->urb, SLAB_ATOMIC)) < 0) {
++			if ((rtn = usb_submit_urb(iep->urb, GFP_ATOMIC)) < 0) {
+ #else
+ 			if ((rtn = usb_submit_urb(iep->urb)) < 0) {
+ #endif
+@@ -657,7 +657,7 @@
+ 
+ 	/* resubmit urb */
+ #ifdef KERNEL_2_5
+-	usb_submit_urb(urb, SLAB_ATOMIC);
++	usb_submit_urb(urb, GFP_ATOMIC);
+ #endif
+ }
+ 
+@@ -773,7 +773,7 @@
+ 		iep->len = len;
+ 
+ #ifdef KERNEL_2_5
+-		if ( !(iep->buf = usb_buffer_alloc(dev, len, SLAB_ATOMIC, &iep->dma)) ) {
++		if ( !(iep->buf = usb_buffer_alloc(dev, len, GFP_ATOMIC, &iep->dma)) ) {
+ 			mem_failure = 2;
+ 		} else if ( !(iep->urb = usb_alloc_urb(0, GFP_KERNEL)) ) {
+ 			mem_failure = 3;
+@@ -854,7 +854,7 @@
+ 		init_waitqueue_head(&oep->wait);
+ 
+ #ifdef KERNEL_2_5
+-		if ( !(oep->buf = usb_buffer_alloc(dev, USB_OUTLEN, SLAB_ATOMIC, &oep->dma)) ) {
++		if ( !(oep->buf = usb_buffer_alloc(dev, USB_OUTLEN, GFP_ATOMIC, &oep->dma)) ) {
+ 			mem_failure = 2;
+ 		} else if ( !(oep->urb = usb_alloc_urb(0, GFP_KERNEL)) ) {
+ 			mem_failure = 3;
+diff -urNad trunk~/drivers/lirc_igorplugusb/lirc_igorplugusb.c trunk/drivers/lirc_igorplugusb/lirc_igorplugusb.c
+--- trunk~/drivers/lirc_igorplugusb/lirc_igorplugusb.c	2007-09-14 14:19:33.207292566 +0200
++++ trunk/drivers/lirc_igorplugusb/lirc_igorplugusb.c	2007-09-14 14:20:20.354048335 +0200
+@@ -483,7 +483,7 @@
+ #if defined(KERNEL_2_5)
+ 		} else if (!(ir->buf_in = usb_buffer_alloc(dev, 
+ 				DEVICE_BUFLEN+DEVICE_HEADERLEN, 
+-                                SLAB_ATOMIC, &ir->dma_in))) {
++                                GFP_ATOMIC, &ir->dma_in))) {
+ 			mem_failure = 5;
+ #else
+ 		} else if (!(ir->buf_in = kmalloc(
+diff -urNad trunk~/drivers/lirc_mceusb/lirc_mceusb.c trunk/drivers/lirc_mceusb/lirc_mceusb.c
+--- trunk~/drivers/lirc_mceusb/lirc_mceusb.c	2007-09-14 14:19:33.208292391 +0200
++++ trunk/drivers/lirc_mceusb/lirc_mceusb.c	2007-09-14 14:20:20.356047986 +0200
+@@ -767,7 +767,7 @@
+ 			dev->bulk_in_endpointAddr = endpoint->bEndpointAddress;
+ #ifdef KERNEL_2_5
+ 			dev->bulk_in_buffer = usb_buffer_alloc
+-				(udev, buffer_size, SLAB_ATOMIC, &dev->dma_in);
++				(udev, buffer_size, GFP_ATOMIC, &dev->dma_in);
+ #else
+ 			dev->bulk_in_buffer = kmalloc(buffer_size, GFP_KERNEL);
+ #endif
+@@ -794,7 +794,7 @@
+ 			dev->bulk_out_size = buffer_size;
+ 			dev->bulk_out_endpointAddr = endpoint->bEndpointAddress;
+ #ifdef KERNEL_2_5
+-			dev->bulk_out_buffer = usb_buffer_alloc(udev, buffer_size, SLAB_ATOMIC, &dev->dma_out);
++			dev->bulk_out_buffer = usb_buffer_alloc(udev, buffer_size, GFP_ATOMIC, &dev->dma_out);
+ #else
+ 			dev->bulk_out_buffer = kmalloc (buffer_size, GFP_KERNEL);
+ #endif
+diff -urNad trunk~/drivers/lirc_mceusb2/lirc_mceusb2.c trunk/drivers/lirc_mceusb2/lirc_mceusb2.c
+--- trunk~/drivers/lirc_mceusb2/lirc_mceusb2.c	2007-09-14 14:19:33.208292391 +0200
++++ trunk/drivers/lirc_mceusb2/lirc_mceusb2.c	2007-09-14 14:20:20.356047986 +0200
+@@ -221,7 +221,7 @@
+ 	async_urb->transfer_buffer_length = size;
+ 	async_urb->dev = ir->usbdev;
+ 
+-	if ((res=usb_submit_urb(async_urb, SLAB_ATOMIC))) {
++	if ((res=usb_submit_urb(async_urb, GFP_ATOMIC))) {
+ 	    dprintk(DRIVER_NAME "[%d]: receive request FAILED! (res=%d)\n", ir->devnum, res);
+ 	    return;
+ 	}
+@@ -405,7 +405,7 @@
+ 	}
+ 
+ 	/* resubmit urb */
+-	usb_submit_urb(urb, SLAB_ATOMIC);
++	usb_submit_urb(urb, GFP_ATOMIC);
+ }
+ 
+ static int usb_remote_probe(struct usb_interface *intf,
+@@ -480,7 +480,7 @@
+ 			mem_failure = 3;
+ 		} else if (lirc_buffer_init(rbuf, sizeof(lirc_t), LIRCBUF_SIZE)) {
+ 			mem_failure = 4;
+-		} else if (!(ir->buf_in = usb_buffer_alloc(dev, maxp, SLAB_ATOMIC, &ir->dma_in))) {
++		} else if (!(ir->buf_in = usb_buffer_alloc(dev, maxp, GFP_ATOMIC, &ir->dma_in))) {
+ 			mem_failure = 5;
+ 		} else if (!(ir->urb_in = usb_alloc_urb(0, GFP_KERNEL))) {
+ 			mem_failure = 7;
+diff -urNad trunk~/drivers/lirc_streamzap/lirc_streamzap.c trunk/drivers/lirc_streamzap/lirc_streamzap.c
+--- trunk~/drivers/lirc_streamzap/lirc_streamzap.c	2007-09-14 14:19:33.209292217 +0200
++++ trunk/drivers/lirc_streamzap/lirc_streamzap.c	2007-09-14 14:20:20.357047811 +0200
+@@ -448,7 +448,7 @@
+ 
+ #ifdef KERNEL_2_5
+ 	/* resubmit only for 2.6 */
+-	usb_submit_urb( urb, SLAB_ATOMIC );
++	usb_submit_urb( urb, GFP_ATOMIC );
+ #endif
+ 
+ 	return;
+@@ -546,7 +546,7 @@
+ 	sz->buf_in_len = sz->endpoint->wMaxPacketSize;
+ #ifdef KERNEL_2_5
+         if((sz->buf_in = usb_buffer_alloc(sz->udev, sz->buf_in_len,
+-					  SLAB_ATOMIC, &sz->dma_in)) == NULL )
++					  GFP_ATOMIC, &sz->dma_in)) == NULL )
+ 	{
+                 goto error;
+ 	}
+@@ -705,7 +705,7 @@
+ 
+ 	sz->urb_in->dev = sz->udev;
+ #ifdef KERNEL_2_5
+-	if (usb_submit_urb(sz->urb_in, SLAB_ATOMIC))
++	if (usb_submit_urb(sz->urb_in, GFP_ATOMIC))
+ #else
+ 	if (usb_submit_urb(sz->urb_in))
+ #endif
Index: debian/patches/00list
===================================================================
--- debian/patches/00list	(revision 219)
+++ debian/patches/00list	(working copy)
@@ -12,3 +12,4 @@
 12_enodev_on_read.dpatch
 13_hurd_define_iotbase_u32.dpatch
 14_no_linux_config_h.dpatch
+15_no_SLAB_ATOMIC.dpatch

Reply sent to Stefan Lippers-Hollmann <s.l-h@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eric Cooper <ecc@cmu.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 400494-close@bugs.debian.org (full text, mbox):

From: Stefan Lippers-Hollmann <s.l-h@gmx.de>
To: 400494-close@bugs.debian.org
Subject: Bug#400494: fixed in lirc 0.8.2-2
Date: Sat, 15 Mar 2008 16:17:03 +0000
Source: lirc
Source-Version: 0.8.2-2

We believe that the bug you reported is fixed in the latest version of
lirc, which is due to be installed in the Debian FTP archive:

liblircclient-dev_0.8.2-2_amd64.deb
  to pool/main/l/lirc/liblircclient-dev_0.8.2-2_amd64.deb
liblircclient0_0.8.2-2_amd64.deb
  to pool/main/l/lirc/liblircclient0_0.8.2-2_amd64.deb
lirc-modules-source_0.8.2-2_all.deb
  to pool/main/l/lirc/lirc-modules-source_0.8.2-2_all.deb
lirc-svga_0.8.2-2_amd64.deb
  to pool/main/l/lirc/lirc-svga_0.8.2-2_amd64.deb
lirc-x_0.8.2-2_amd64.deb
  to pool/main/l/lirc/lirc-x_0.8.2-2_amd64.deb
lirc_0.8.2-2.diff.gz
  to pool/main/l/lirc/lirc_0.8.2-2.diff.gz
lirc_0.8.2-2.dsc
  to pool/main/l/lirc/lirc_0.8.2-2.dsc
lirc_0.8.2-2_amd64.deb
  to pool/main/l/lirc/lirc_0.8.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400494@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Lippers-Hollmann <s.l-h@gmx.de> (supplier of updated lirc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 15 Mar 2008 02:18:01 +0100
Source: lirc
Binary: lirc lirc-x lirc-svga lirc-modules-source liblircclient-dev liblircclient0
Architecture: source all amd64
Version: 0.8.2-2
Distribution: unstable
Urgency: low
Maintainer: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Changed-By: Stefan Lippers-Hollmann <s.l-h@gmx.de>
Description: 
 liblircclient-dev - infra-red remote control support - client library development fil
 liblircclient0 - infra-red remote control support - client library
 lirc       - infra-red remote control support
 lirc-modules-source - infra-red remote control support - kernel modules
 lirc-svga  - infra-red remote control support - SVGAlib utilities
 lirc-x     - infra-red remote control support - X utilities
Closes: 297290 350318 368075 372815 394663 399135 399135 400494 404505 409394 429249 429249 432801 434569 434569 440514 443270 443470 443470 443470 444091 444436 444752 445324 445426 445426 445556 445556 445587 445587 445650 445650 445653 445653 445655 445736 445736 446378 446378 446650 447172 448637 451793 451793 457858 459267 460212 463388 463737 464777 470104 470363
Changes: 
 lirc (0.8.2-2) unstable; urgency=low
 .
   [ Sven Mueller ]
   * Add some additional checks to the init script (Closes: #394663)
   * Update lirc-modules-source README.Debian to refer to module-assistant
     (Closes: #429249)
   * New upstream closes: #409394,#432801,434569,#350318,#399135,#400494,#368075
   * dpkg-reconfigure lirc-modules-source will now make
     /etc/lirc/lirc-modules-source.conf world-readable. This should not be a
     security risk, but allows building modules as a user via fakeroot. This
     closes: #445324
 .
   [ Matthew Johnson ]
   * New translations (Closes: #443470)
     - cs (Closes: #451793)
     - fr (Closes: #445587)
     - fi (Closes: #445650)
     - pt_BR (Closes: #445736)
     - es (Closes: #459267,#463737)
     - nb (Closes: #443470,#470104)
     - ru (Closes: #445426)
     - de (Closes: #445556,#446378)
     - pt (Closes: #445653)
     - cs (Closes: #451793)
   * Add slh to uploaders, remove old developers.
   * Refactor patches to use quilt and update dependencies
   * Add Linux Input Layer remote config (Closes: #297290)
 .
   [ Stefan Lippers-Hollmann ]
   * remove devfs support, it got removed in mainline linux for 2.6.18 so
     neither etch nor lenny are affected.
   * add LSB header to lirc initscript as suggested by Petter Reinholdtsen
     <pere@hungry.com> (Closes: #460212).
   * add LSB Description and Short-Description to initscript LSB stanza,
     borrowed from Ubuntu's lirc packages by Mario Limonciello
     <superm1@ubuntu.com>.
   * apply patch from Václav Ovsík <vaclav.ovsik@i.cz> to fix Makefile
     mangling for lirc-source, evaluating utsrelease.h instead of the no longer
     existing version.h and recommend linux-image-$KVERS instead of the
     obsolete kernel-image-$KVERS (Closes: #447172).
   * drop no longer existing dpatch suffix from patch series and refresh
     existing patches.
   * add compatibility patch for kernels >= 2.6.24, based on upstream CVS
     (Closes: #399135, #434569, #457858, #463388, #464777).
   * fix lirc.conf template for pinsys remotes, shortly before lirc 0.8.2 the
     keymapping got broken.
   * remove versioned download location from debian/copyright, it's always
     outdated and the base path will point to the download location just as
     well.
   * apply useful indention from Ubuntu to debian/rules.
   * Recommend module-assistant | kernel-package for lirc-modules-source.
   * add watch file pointing to lirc.org, not sourceforge.
   * restore author information and short descriptions for debian/patches/*.
   * add Basque translation "eu", thanks to Christian Perrier
     <bubulle@debian.org> and Piarres Beobide <pi@beobide.net>
     (Closes: #470363).
   * fix debian/copyright to refer to "GPL v2 or later", not a single source
     file seems to be licensed under the GPL v1.
   * rewrite debian/modules-source/debian/rules from scratch and rely on common
     kernel module handling based in module-assistant, this allows bumping the
     standards version to 3.7.3 (Closes: #372815, #440514).
   * add Homepage, Vcs-Svn and Vcs-Browser tags.
   * modules-source/README.make is obsolete, as it only talks about kernel 2.2
     and 2.4 specifics, while kernel 2.6 is covered by the other READMEs.
   * drop bogus Recommends from lirc-modules-source, build-essentials are an
     implicit requirement by definition.
   * drop no longer valid statements from the module READMEs.
   * no longer try to install etc/modutils/*, lenny will not support kernel
     2.4.
   * bump compat level to 5, which is supported by etch (backports), but lets
     dh_install error out if wildcards expand to nothing.
   * drop 03_extra_files, shipping private copies of bttv headers for random
     kernels doesn't work.
   * run debconf-updatepo, confirm that no strings get lost.
   * remove informal_module_building(), while it may look convenient to the
     user, the results were unpackaged modules of questionable quality that
     cannot be removed on purge. module-assistant or make-kpkg are the
     preferred way of module building (Closes: #404505).
   * Update and partly rewrite the module source documentation to the new
     packaging and explicitly mention the full source requirement for gio
     (Closes: #429249).
   * add patch based on upstream CVS to include the macmini driver in the
     hw_list used for calculating the userspace daemon config options
     (Closes: #448637).
   * set doc-base section to "Help", which seems to be suited best for a
     collection of pointers about how to work with the LIRC package.
   * fix broken whatis headers in shipped manpages.
 .
 lirc (0.8.2-1) experimental; urgency=low
 .
   * Initial release of new upstream
 .
 lirc (0.8.0-14) unstable; urgency=low
 .
   [ Christian Perrier ]
   * Debconf templates and debian/control reviewed by the debian-l10n-
     english team as part of the Smith review project. Closes: #443270, #443470
     (the latter bug is about outdated translations)
 .
   [Debconf translation updates]
 .
   * Japanese. Closes: #444091
   * Vietnamese. Closes: #444436
   * Galician. Closes: #444752
   * Russian. Closes: #445426
   * German. Closes: #445556, #446378
   * French. Closes: #445587
   * Finnish. Closes: #445650
   * Portuguese. Closes: #445653
   * Brazilian Portuguese. Closes: #445736
   * Czech. Closes: #445655
 .
   [ Sven Mueller ]
   * Add compatibility patch for kernels >= 2.6.23 (closes: #446650)
Files: 
 bdb3a4332dbdfd7049a398bac879aa9b 1155 utils extra lirc_0.8.2-2.dsc
 9d9afa1d2ccf6cf36f86a544f1a0f502 868692 utils extra lirc_0.8.2.orig.tar.gz
 858ada1e762740eced2853054f5f8190 87314 utils extra lirc_0.8.2-2.diff.gz
 6598227ee4927b4fc61698d7471f7dc1 228022 utils extra lirc-modules-source_0.8.2-2_all.deb
 327af4af9062d109ca3be6ddd68e9e1b 381824 utils extra lirc_0.8.2-2_amd64.deb
 9cf261a021f7eb8cd55a42a5b59449e5 16070 utils extra lirc-x_0.8.2-2_amd64.deb
 6f8da4ea6a72419e1f93351356a14ab6 5874 utils extra lirc-svga_0.8.2-2_amd64.deb
 16f59f3501127708688bc1d31f8b9f46 67116 libdevel extra liblircclient-dev_0.8.2-2_amd64.deb
 328a10b9f440bdda79a2830078a4a647 64696 libs optional liblircclient0_0.8.2-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH2/MppldmHVvob7kRAsc9AKDA0KIAtvoE0C0XlazTHVLCRPRstACfZ7Qw
xkcqDCplX2mt/ImXtxOY59E=
=v27B
-----END PGP SIGNATURE-----





Reply sent to Stefan Lippers-Hollmann <s.l-h@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Thomas Creutz <thomas.creutz@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Stefan Lippers-Hollmann <s.l-h@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Baumann <waste.manager@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Disconnected #436166 from all other report(s). Request was from Stefan Lippers-Hollmann <s.L-H@gmx.de> to control@bugs.debian.org. (Mon, 17 Mar 2008 12:57:49 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:35:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:31:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.